import com.imsl.chart.*;
import java.awt.Color;

public class SamplePolar extends JFrameChart {

    public SamplePolar() {        
        Chart chart = getChart();
        Polar axis = new Polar(chart);
        
        double r[] = new double[20];
        double theta[] = new double[r.length];
        for (int k = 0;  k < r.length;  k++) {
            theta[k] = Math.PI*k/(r.length-1);
            r[k] = 0.5 + Math.cos(theta[k]);
        }
        Data data = new Data(axis, r, theta);
        data.setDataType(Data.DATA_TYPE_MARKER | Data.DATA_TYPE_LINE);
        data.setLineColor(Color.green);
        data.setMarkerColor(Color.blue);
    }
    
    public static void main(String argv[]) {
        new SamplePolar().setVisible(true);
    }
}